=== debian/changelog ===
fwts (24.01.00-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:29:27 +0000

fwts (24.01.00-0ubuntu3) noble; urgency=medium

  * Do not error on 'pointer-to-int-cast' warnings for now to fix build with
    _FILE_OFFSET_BITS=64 on 32-bit.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 16:56:26 +1300

fwts (24.01.00-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:23:24 +0000

fwts (24.01.00-0ubuntu1) noble; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the dell-smm-hwmon driver
  * acpi/wmi: Warn if a WMI GUID has zero instances

  [Ivan Hu]
  * snapcraft: update the source repo for snap build
  * snapcraft: add source type for repo
  * lib: framework: clear the error message with the extra result filename
    suffix
  * snapcraft: specify devmode confinement for fwts snap
  * acpi: fadt: clarify the check for sleep control register
  * acpi: madt: fix typo of madt subnames
  * lib: fwts_acpi: add the PRM type GAS defined value
  * acpi: fadt: add PERSISTENT_CPU_CACHES bits to fixed feature flags
    (mantis 2206)
  * acpi: method: add _DSC method tests (mantis 2224)
  * fwts-test: method: sync up with adding _DSC method tests
  * acpi: srat: add new Generic Port structure for srat tests (mantis 2236)
  * fwts-test: sync up with new Generic Port structure added for srat
  * acpi: srat: fix to get device handle value and dump the reserved array
  * acpi: method: clarify TAD device methods requirements (mantis 2253)
  * lib: fwts_acpi_tables: add missing GAS address space ID
  * acpi: madt: add GICC new flag and length change (mantis 2285, 2303)
  * acpi: einj: test more error injection actions for einjv2 (mantis 2287)
  * acpi: method: fix typo of subelement
  * acpi: method: add _PDO test (mantis 2293)
  * fwts-test: sync up the method _PDO was added
  * acpi: phat: add reset reason health record test (mantis 2294)
  * fwts-test: sync up for reset reason health record test
  * acpi: viot: add test for ACPI VIOT table (mantis 2152)
  * fwts-test: add regression tests for VIOT
  * acpi: misc: add tests for ACPI MISC table (mantis 2297)
  * fwts-test: add regression tests for MISC
  * acpi: ccel: add tests for ACPI CCEL table (mantis 2314)
  * fwts-test: add regression tests for CCEL
  * acpi: viot: fix build fail on bionic and focal
  * acpi: skvl: add tests for ACPI SKVL table (mantis 2314)
  * fwts-test: add regression tests for SKVL
  * Update copyright year to 2024

  [Mario Limonciello]
  * Upgrade MCFGMMIONotReserved to HIGH error
  * s3: Add support for reading total s2idle residency from generic API
  * s3: Add support for checking last sleep cycle residency
  * Add support for ACPI 6.5 _UPC return values

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 22 Jan 2024 14:37:56 +0800

fwts (23.11.00-0ubuntu1) noble; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the wmi-bmof driver

  [Ivan Hu]
  * fwts-test: sync up with Recognize Pluton TPM patch
  * klog.json: Add some missing einj kernel messages to klog database
  * klog.json: Add some missing bert kernel messages to klog database
  * klog.json: Add some missing erst kernel messages to klog database
  * lib: fwts_acpi_table: fix fwts_acpi_reserved_zero_array with the input
    string
  * klog.json: Add some missing hest kernel messages to klog database
  * klog.json: Add some missing apmt kernel messages to klog database
  * klog.json: Add some missinig processor_perflib kernel messages to klog
    database
  * README: modify the fwts git repository
  * acpi: aspt: fix typo of SPTT
  * klog.json: Add some missing exresolv kernel messages to klog database
  * klog.json: Add some missing efi64 kernel messages to klog database
  * klog.json: Add some missing exmisc kernel messages to klog database
  * klog.json: Add some missing evmisc kernel messages to klog database
  * klog.json: Add some missing rslist kernel messages to klog database
  * klog.json: Add some missing exfield kernel messages to klog database
  * klog.json: Add some missing tbfadt kernel messages to klog database
  * klog.json: Add some missing hwregs kernel messages to klog database
  * klog.json: Add some missing exutils kernel messages to klog database
  * klog.json: Add some missing nsaccess kernel messages to klog database
  * klog.json: Add some missing bus kernel messages to klog database
  * klog.json: Add some missing battery kernel messages to klog database
  * klog.json: Add some missing power kernel messages to klog database
  * fwts-test: sync up the SPTT typo fix
  * fwts-test: sync up with the klog message update
  * acpi: ras2: add test for ACPI RAS2 table
  * fwts-test: add regression tests for RAS2
  * auto-packager: update the fwts git repo
  * lib: framework: fix the unclear error message of the results log
  * auto-packager: mkpackage.sh: add noble
  * acpi: ibft: add tests for iBFT table
  * fwts-test: add regression tests for iBFT

  [Mario Limonciello]
  * acpi: Recognize Pluton TPM

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 28 Nov 2023 15:30:05 +0800

fwts (23.09.00-0ubuntu1) mantic; urgency=medium

  [Arthur Heymans]
  * acpi/spcr: Update supported port types
  * acpi/scpr: spcr->interrupt_type == 0 is valid

  [Colin Ian King]
  * data/klog.json: Fix spelling mistakes found using codespell
  * src/*: Fix various spelling mistakes in source code

  [Ivan Hu]
  * fwts-test: sync up with klog.json ix spelling mistakes found using codespell
  * fwts-test: sync up with update supported port types
  * acpi: update fadt and madt revisions to ACPI 6.5
  * uefi: esrtdump: update the LastAttemptStatus values to UEFI spec 2.10
  * acpi: phat: fix the device path for the health data record
  * fwts-test: sync up with phat fix the device path for the health data record

