=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Rules-Requires-Root: no
Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
Uploaders: Ivan Hu <ivan.hu@canonical.com>
Standards-Version: 4.6.0
Homepage: https://wiki.ubuntu.com/FirmwareTestSuite
Build-Depends: debhelper-compat (= 13),
               autoconf,
               automake,
               libtool,
               flex,
               bison,
               dkms (<< 3.0.3-3~) | dh-sequence-dkms,
               libglib2.0-dev,
               pkg-config,
               libfdt-dev,
               libbsd-dev

Package: fwts
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
Depends: libfwtsiasl1 (= ${binary:Version}),
         libfwtsacpica1 (= ${binary:Version}),
         libfwts1 (= ${binary:Version}),
         fwts-efi-runtime-dkms (= ${binary:Version}) [amd64],
         ${shlibs:Depends},
         ${misc:Depends},
         pciutils,
         device-tree-compiler [armel armhf arm64 ppc64el powerpc]
Suggests: dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on system
 firmware. It is intended to identify BIOS and ACPI errors and
 if appropriate it will try to explain the errors and give advice to
 help workaround or fix firmware bugs.  It is primarily intended to
 be a Linux-centric firmware troubleshooting tool.

Package: libfwtsiasl1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for iasl functionality
 The firmware test suite requires the ACPICA core engine to be built in
 compiler mode (with ACPI_ASL_COMPILER enabled) to support assembly and
 disassembly of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
 This library contains this code with a thin fwts specific API to
 interface with fwts.

Package: libfwtsacpica1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
 The firmware test suite requires the ACPICA core engine to be built in
 execution mode (with ACPI_EXEC_APP enabled) to support run time execution
 of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs. This library
 contains this code with a thin fwts specific API to interface with fwts.

Package: libfwts1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FirmWare Test Suite core support library
 This is the fwts core library. It contains a top level test framework
 and a rich range of firmware specific testing support code for the
 various fwts tests.

Package: fwts-frontend
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
Priority: optional
Depends: ${misc:Depends},
         dialog,
         fwts
Description: Firmware Test Suite frontend interface
 This is a dialog based interface designed to provide an easy to use method
 to execute tests via Firmware Test Suite and is also used as the primary
 interface within Firmware Test Suite live images.

Package: fwts-efi-runtime-dkms
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Priority: optional
Depends: ${misc:Depends},
         dkms
Description: Firmware Test Suite UEFI Runtime Service kernel driver
 This package provides the efi_runtime kernel driver in DKMS format,
 which is required for accessing UEFI Runtime Services.

Package: fwts-smccc-dkms
Architecture: arm64
Priority: optional
Depends: ${misc:Depends},
         dkms
Description: Firmware Test Suite SMCCC firmware kernel driver
 This package provides the ARM64 SMCCC kernel driver in DKMS format,
 which is required for accessing the ARM64 SMCCC firmware API.
