## fwts 24.07.00

=== debian/changelog ===
fwts (24.07.00-0ubuntu1) oracular; urgency=medium

  [Ivan Hu]
  * autopackager: mkpackage.sh: remove lunar
  * lib: fwts_log_html: fix the invalid printf format string
  * auto-packer: mkpackage.sh: add oracular
  * efi_runtime: don't build dkms module for those kernels with efi_test
  * acpi: cedt: add raw data dump for interleave target list
  * fwts-test: cedt: fix the wrong value of ENIW
  * fwts-test: cedt: sync up with adding raw data dump
  * acpi: s3pt: add tests for ACPI S3PT table
  * fwts-test: add regression tests for S3PT
  * acpi: acpipld: modify the test description to aviod misunderstanding
  * auto-packager: mkpackage.sh: remove mantic

  [Jonathan McDowell]
  * tpmevlog: Ensure EV_SEPARATOR recorded for PCRs 0-7

  [Julien Olivain]
  * libfwtsiasl: fix parallel build with GNU Make >= 4.4

  [Mario Limonciello]
  * aspm: Only require ASPM for devices with an actual link

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 30 Jul 2024 11:10:40 +0800

fwts (24.03.00-0ubuntu1) noble; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20240322

  [Ivan Hu]
  * acpi: s3: enable debug messages on S0ix failure for Intel platforms
  * acpi: s3: fix potential memory leaks on fwts_get() calls
  * framework: fix memory leaks caused by fwts_log_get_filenames
  * acpi: ras2: stop for loop when list exceeds the table
  * acpi: dbg2: update the subtype RISC-V SBI console for DBG2
  * acpi: sbbr: check the existence of SPCR console devices
  * opal: fix the resource leak for get_linux_mem_devices
  * acpi: srat: fix the untrusted loop bound warning
  * opal: fix the resource leak for process_dimm and process_mba
  * opal: fix the resource leak for cpus
  * acpi: acpipld: add tests to check _PLD methods only on the connectable ports
  * lib: fwts_acpi_tables: fix the build fail on armhf

  [Mario Limonciello]
  * dmicheck: Don't check firmware version on anything but NVDIMM devices

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 08 Apr 2024 11:20:06 +0800
