## fwts 24.11.00

=== debian/changelog ===
fwts (24.11.00-0ubuntu1) plucky; urgency=medium

  [Armin Wolf]
  * lib: fwts_acpi_object_eval: Do not return FWTS_OK if method lookup fails
  * acpi/wmi: Warn if WMI GUIDs from the Windows driver samples are found

  [Colin Ian King]
  * src/acpi: Fix a few spelling mistakes

  [Ivan Hu]
  * dmicheck: update for supporting DMI version to 3.7.1
  * script: fix bash-completion-with-hashbang lintian warning
  * dmicheck: update for supporting DMI version to 3.8.0
  * dmicheck: add more types for version length test.
  * auto-packager: mkpackage.sh: add plucky
  * hdaaudio: fix the the build errors under plucky amd64

  [Jonathan McDowell]
  * tpmevlog: Ensure the event log matches the actual TPM PCRs

  [Simon Wang]
  * acpi: iort: memory access flag update.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 26 Nov 2024 14:11:09 +0800

fwts (24.09.00-0ubuntu1) oracular; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20240827
  * fwts-test: slic: sync test results with fixes to ACPICA SLIC dumping

  [Ivan Hu]
  * configure.ac: fix the autoreconf AC_PROG_LIBTOOL warning
  * configure.ac: fix the autoreconf AC_PROG_LEX warning
  * acpi: acpipld: downgrade the severity for PLD on the not connected port
  * klog: fix the pattern errors for einj trigger table entry
  * klog.json: Add some missing agdi kernel messages to klog database
  * klog.json: Add some missing ghes kernel messages to klog database
  * klog.json: Add some missing gtdt kernel messages to klog database
  * klog.json: Add more missing iort kernel messages to klog database
  * lib: modprobe: add checking the compressed zst module format
  * klog.json: Add more missing osl kernel messages to klog database
  * klog.json: Add more missing acpi pcc kernel messages to klog database
  * klog.json: Add the missing fan_core error message to klog database
  * klog.json: Add the missing ipmi error messages to klog database
  * klog.json: Add the missing viot error messages to klog database
  * klog.json: Add the missing prmt error messages to klog database
  * klog.json: Add the missing scan error messages to klog database
  * klog.json: Add more error messages for battery to klog database
  * klog.json: Add the missing srat error message to klog database
  * klog.json: Add more uttrack error messages to klog database
  * klog.json: Add more utobject error messages to klog database
  * klog.json: Add more nsxfeval error messages to klog database
  * klog.json: Add the missing exstore error message to klog database
  * klog.json: Add the missing nsinit error message to klog database
  * klog.json: Add the missing dswload2 error message to klog database
  * klog.json: Add the missing exoparg2 error message to klog database
  * klog.json: Add the missing exserial error message to klog database
  * klog.json: Add the missing exreqion error message to klog database
  * klog.json: Add the missing processor error message to klog database

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 24 Sep 2024 12:42:57 +0800
