## fwts 25.05.00

=== debian/changelog ===
fwts (25.05.00-0ubuntu1) questing; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20250404

  [Gergo Koteles]
  * acpi: method: Fix _DDC test arguments

  [Heinrich Schuchardt]
  * lib/fwts_cpu: correct determination of SEV enablement
  * fwts.h: fix typo verision

  [Ivan Hu]
  * efi_runtime: Fix missing pending status update in getwakeuptime
  * aspm: fix dereference pointer rp_cap before null check
  * opal: fix the unexpected line format
  * kernelscan: fix structurally unreachable code
  * lib: fwts_log: fix the potential overflow for dumping all log fields
  * lib: fwts_memorymap: fix the unchecked end address for strtoull
  * lib: fwts_memorymap: fix failure to retrieve BIOS memory map from dmesg e820
  * autobrightness: fix calloc argument order for GCC 15 compatibility
  * auto-packager: mkpackage.sh: add questing
  * dmicheck: add total size read checking below maximum allowed

  [Mario Limonciello]
  * cpu/msr: Drop `VM_HSAVE_PA` from consistency checks

  [monty.zhao]
  * acpi: madt: fix false FAIL on missing GICC UID for disabled CPUs

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 May 2025 10:16:04 +0800

fwts (25.03.00-0ubuntu1) plucky; urgency=medium

  [Ivan Hu]
  * acpi: cedt: update the cedt tests for CXL spec rev3.2
  * fwts-test: cedt: sync up tests with CEDT version update
  * acpi: apmt: add tests for acpi APMT table
  * fwts-test: add regression tests for APMT
  * klog.json: Add the thread create failed message to klog database
  * klog.json: Add more spcr access width messages to klog database
  * klog.json: Add more cppc checking and sending messages to klog database
  * klog.json: Add more intel pmic messages to klog database
  * klog.json: Add nfit intel messages to klog database
  * klog.json: Add ACPI fpdt messages to klog database
  * klog.json: Add EC timeout messages to klog database
  * klog.json: Add null object pushing message to klog database
  * klog.json: Add child missing data message to klog database
  * klog.json: Add package init messages to klog database
  * klog.json: Add more ownerid allocate and release messages to klog database
  * klog.json: Add the object type for evaluation messages to klog database
  * klog.json: Add more parse mode setting messages to klog database
  * efi_runtime: remove no_llseek which have been removed on kernel 6.12

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 26 Mar 2025 11:06:43 +0800
