## fwts 25.07.00

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2012-2025 Canonical, Ltd.
+# Copyright (C) 2021-2025 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 
 KVER ?= `uname -r`
 KBUILD_MODPOST_WARN=y
-obj-m += efi_runtime.o
+obj-m += smccc_test.o
 all:
 	make -C /lib/modules/$(KVER)/build M=`pwd` modules
