=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libbsd-dev
 
 Package: fwts
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64 loong64
 Depends: libfwtsiasl1 (= ${binary:Version}),
          libfwtsacpica1 (= ${binary:Version}),
          libfwts1 (= ${binary:Version}),
@@ -37,7 +37,7 @@
  be a Linux-centric firmware troubleshooting tool.
 
 Package: libfwtsiasl1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64 loong64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: FirmWare Test Suite ACPICA core built for iasl functionality
@@ -48,7 +48,7 @@
  interface with fwts.
 
 Package: libfwtsacpica1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64 loong64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
@@ -58,7 +58,7 @@
  contains this code with a thin fwts specific API to interface with fwts.
 
 Package: libfwts1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64 loong64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: FirmWare Test Suite core support library
@@ -67,7 +67,7 @@
  various fwts tests.
 
 Package: fwts-frontend
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x riscv64 loong64
 Priority: optional
 Depends: ${misc:Depends},
          dialog,
@@ -78,7 +78,7 @@
  interface within Firmware Test Suite live images.
 
 Package: fwts-efi-runtime-dkms
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el loong64
 Priority: optional
 Depends: ${misc:Depends},
          dkms
